Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1319)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -167,143 +173,4 @@
 ! New cpp directive "__check" implemented which is used by check_namelist_files
 !
-! 774 2011-10-27 13:34:16Z letzel
-! bugfix for prescribed u,v-profiles
-!
-! 767 2011-10-14 06:39:12Z raasch
-! Calculating u,v-profiles from given profiles by linear interpolation.
-! bugfix: dirichlet_0 conditions for ug/vg moved from init_3d_model to here
-!
-! 707 2011-03-29 11:39:40Z raasch
-! setting of bc_lr/ns_dirrad/raddir
-!
-! 689 2011-02-20 19:31:12z gryschka
-! Bugfix for some logical expressions 
-! (syntax was not compatible with all compilers)
-!
-! 680 2011-02-04 23:16:06Z gryschka 
-! init_vortex is not allowed with volume_flow_control
-!
-! 673 2011-01-18 16:19:48Z suehring
-! Declaration of ws_scheme_sca and ws_scheme_mom added (moved from advec_ws).
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! Exchange of parameters between ocean and atmosphere via PE0
-! Check for illegal combination of ws-scheme and timestep scheme.
-! Check for topography and ws-scheme.
-! Check for not cyclic boundary conditions in combination with ws-scheme and
-! loop_optimization = 'vector'.
-! Check for call_psolver_at_all_substeps and ws-scheme for momentum_advec.
-! Different processor/grid topology in atmosphere and ocean is now allowed!
-! Bugfixes in checking for conserve_volume_flow_mode
-! 600 2010-11-24 16:10:51Z raasch
-! change due to new default value of surface_waterflux
-! 580 2010-10-05 13:59:11Z heinze
-! renaming of ws_vertical_gradient_level to subs_vertical_gradient_level
-!
-! 567 2010-10-01 10:46:30Z helmke
-! calculating masks changed
-!
-! 564 2010-09-30 13:18:59Z helmke
-! palm message identifiers of masked output changed, 20 replaced by max_masks 
-!
-! 553 2010-09-01 14:09:06Z weinreis
-! masks is calculated and removed from inipar
-! 
-! 531 2010-04-21 06:47:21Z heinze
-! Bugfix: unit of hyp changed to dbar 
-!
-! 524 2010-03-30 02:04:51Z raasch
-! Bugfix: "/" in netcdf profile variable names replaced by ":"
-!
-! 493 2010-03-01 08:30:24Z raasch
-! netcdf_data_format is checked
-!
-! 411 2009-12-11 14:15:58Z heinze
-! Enabled passive scalar/humidity wall fluxes for non-flat topography
-! Initialization of large scale vertical motion (subsidence/ascent)
-!
-! 410 2009-12-04 17:05:40Z letzel
-! masked data output
-!
-! 388 2009-09-23 09:40:33Z raasch
-! Check profiles fpr prho and hyp.
-! Bugfix: output of averaged 2d/3d quantities requires that an avaraging
-! interval has been set, respective error message is included
-! bc_lr_cyc and bc_ns_cyc are set,
-! initializing_actions='read_data_for_recycling' renamed to 'cyclic_fill'
-! Check for illegal entries in section_xy|xz|yz that exceed nz+1|ny+1|nx+1
-! Coupling with independent precursor runs.
-! Check particle_color, particle_dvrpsize, color_interval, dvrpsize_interval
-! Bugfix: pressure included for profile output
-! Check pressure gradient conditions
-! topography_grid_convention moved from user_check_parameters
-! 'single_street_canyon'
-! Added shf* and qsws* to the list of available output data
-!
-! 222 2009-01-12 16:04:16Z letzel
-! +user_check_parameters
-! Output of messages replaced by message handling routine.
-! Implementation of an MPI-1 coupling: replaced myid with target_id, 
-! deleted __mpi2 directives
-! Check that PALM is called with mrun -K parallel for coupling
-!
-! 197 2008-09-16 15:29:03Z raasch
-! Bug fix: Construction of vertical profiles when 10 gradients have been 
-! specified in the parameter list (ug, vg, pt, q, sa, lad)
-!   
-! Strict grid matching along z is not needed for mg-solver.
-! Leaf area density (LAD) explicitly set to its surface value at k=0
-! Case of reading data for recycling included in initializing_actions,
-! check of turbulent_inflow and calculation of recycling_plane.
-! q*2 profile added
-!
-! 138 2007-11-28 10:03:58Z letzel
-! Plant canopy added
-! Allow new case bc_uv_t = 'dirichlet_0' for channel flow.
-! Multigrid solver allows topography, checking of dt_sort_particles
-! Bugfix: initializing u_init and v_init in case of ocean runs
-!
-! 109 2007-08-28 15:26:47Z letzel
-! Check coupling_mode and set default (obligatory) values (like boundary
-! conditions for temperature and fluxes) in case of coupled runs.
-! +profiles for w*p* and w"e
-! Bugfix: Error message concerning output of particle concentration (pc)
-! modified
-! More checks and more default values for coupled runs
-! allow data_output_pr= q, wq, w"q", w*q* for humidity = .T. (instead of 
-! cloud_physics = .T.)
-! Rayleigh damping for ocean fixed.
-! Check and, if necessary, set default value for dt_coupling
-!
-! 97 2007-06-21 08:23:15Z raasch
-! Initial salinity profile is calculated, salinity boundary conditions are
-! checked,
-! z_max_do1d is checked only in case of ocean = .f.,
-! +initial temperature and geostrophic velocity profiles for the ocean version,
-! use_pt_reference renamed use_reference
-!
-! 89 2007-05-25 12:08:31Z raasch
-! Check for user-defined profiles
-!
-! 75 2007-03-22 09:54:05Z raasch
-! "by_user" allowed as initializing action, -data_output_ts,
-! leapfrog with non-flat topography not allowed any more, loop_optimization
-! and pt_reference are checked, moisture renamed humidity,
-! output of precipitation amount/rate and roughnes length + check
-! possible negative humidities are avoided in initial profile,
-! dirichlet/neumann changed to dirichlet/radiation, etc.,
-! revision added to run_description_header
-!
-! 20 2007-02-26 00:12:32Z raasch
-! Temperature and humidity gradients at top are now calculated for nzt+1,
-! top_heatflux and respective boundary condition bc_pt_t is checked
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.61  2006/08/04 14:20:25  raasch
-! do2d_unit and do3d_unit now defined as 2d-arrays, check of
-! use_upstream_for_tke, default value for dt_dopts,
-! generation of file header moved from routines palm and header to here
-!
 ! Revision 1.1  1997/08/26 06:29:23  raasch
 ! Initial revision
@@ -322,4 +189,5 @@
     USE grid_variables
     USE indices
+    USE kinds
     USE model_1d
     USE netcdf_control
@@ -335,16 +203,28 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=1)   ::  sq
-    CHARACTER (LEN=6)   ::  var
-    CHARACTER (LEN=7)   ::  unit
-    CHARACTER (LEN=8)   ::  date
-    CHARACTER (LEN=10)  ::  time
-    CHARACTER (LEN=40)  ::  coupling_string
-    CHARACTER (LEN=100) ::  action
-
-    INTEGER ::  i, ilen, iremote = 0, j, k, kk, netcdf_data_format_save, &
-                position, prec
-    LOGICAL ::  found, ldum
-    REAL    ::  gradient, remote = 0.0, simulation_time_since_reference
+    CHARACTER (LEN=1)   ::  sq                       !: 
+    CHARACTER (LEN=6)   ::  var                      !: 
+    CHARACTER (LEN=7)   ::  unit                     !: 
+    CHARACTER (LEN=8)   ::  date                     !: 
+    CHARACTER (LEN=10)  ::  time                     !: 
+    CHARACTER (LEN=40)  ::  coupling_string          !: 
+    CHARACTER (LEN=100) ::  action                   !: 
+
+    INTEGER(iwp) ::  i                               !: 
+    INTEGER(iwp) ::  ilen                            !: 
+    INTEGER(iwp) ::  iremote = 0                     !: 
+    INTEGER(iwp) ::  j                               !: 
+    INTEGER(iwp) ::  k                               !: 
+    INTEGER(iwp) ::  kk                              !: 
+    INTEGER(iwp) ::  netcdf_data_format_save         !: 
+    INTEGER(iwp) ::  position                        !:
+    INTEGER(iwp) ::  prec                            !: 
+    
+    LOGICAL     ::  found                            !: 
+    LOGICAL     ::  ldum                             !: 
+    
+    REAL(wp)    ::  gradient                         !: 
+    REAL(wp)    ::  remote = 0.0                     !: 
+    REAL(wp)    ::  simulation_time_since_reference  !: 
 
 !
Index: /palm/trunk/SOURCE/close_file.f90
===================================================================
--- /palm/trunk/SOURCE/close_file.f90	(revision 1319)
+++ /palm/trunk/SOURCE/close_file.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -37,38 +43,4 @@
 ! 964 2012-07-26 09:14:24Z raasch
 ! old profil-units (40:49) and respective code removed
-!
-! 564 2010-09-30 13:18:59Z helmke
-! start number of mask output files changed to 201, netcdf message identifiers
-! of masked output changed
-!
-! 493 2010-03-01 08:30:24Z raasch
-! Adjustments for NetCDF parallel data output
-!
-! 410 2009-12-04 17:05:40Z letzel
-! masked data output
-!
-! 263 2009-03-18 12:26:04Z heinze
-! Output of NetCDF messages with aid of message handling routine.
-!
-! Feb. 2007
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.10  2006/08/22 13:50:01  raasch
-! xz and yz cross sections now up to nzt+1
-!
-! Revision 1.1  2001/01/02 17:23:41  raasch
-! Initial revision
-!
-! Last revision before renaming subroutine  2001/01/01  raasch
-! Subroutine name changed from close_files to close_file. Closing of a single
-! file is allowed by passing its file-id as an argument. Variable openfile now
-! is of type file_status and contains a flag which indicates if a file has
-! been opened before. Old revision remarks deleted.
-!
-! Revision 1.13 (close_files) 2000/12/20 09:10:24  letzel
-! All comments translated into English.
-!
-! Revision 1.12 (close_files) 1999/03/02 09:22:46  raasch
-! FLD-Header fuer komprimierte 3D-Daten
 !
 ! Revision 1.1 (close_files) 1997/08/11 06:11:18  raasch
@@ -83,25 +55,43 @@
 !------------------------------------------------------------------------------!
 
-    USE control_parameters
-    USE grid_variables
-    USE indices
+    USE control_parameters,                                                    &
+        ONLY:  do2d_xz_n, do2d_xy_n, do2d_yz_n, do3d_avs_n, do3d_compress,     &
+               host, iso2d_output, max_masks, mid, netcdf_data_format,         &
+               netcdf_output, nz_do3d, openfile, run_description_header,       &
+               z_max_do2d
+                
+    USE grid_variables,                                                        &
+        ONLY:  dy
+        
+    USE indices,                                                               &
+        ONLY:  nx, ny, nz
+        
+    USE kinds
+    
     USE netcdf_control
-    USE pegrid
-    USE profil_parameter
-    USE statistics
+                
+    USE pegrid                                           
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=10)  ::  datform = 'lit_endian'
-    CHARACTER (LEN=80)  ::  title
-
-    INTEGER ::  av, dimx, dimy, &
-                fid, file_id, planz
-
-    LOGICAL ::  checkuf = .TRUE., datleg = .TRUE., dp = .FALSE.
-
-    REAL ::  sizex, sizey, yright
-
-    NAMELIST /GLOBAL/  checkuf, datform, dimx, dimy, dp, planz, &
+    CHARACTER (LEN=10)  ::  datform = 'lit_endian' !: 
+    CHARACTER (LEN=80)  ::  title                  !: 
+
+    INTEGER(iwp) ::  av           !: 
+    INTEGER(iwp) ::  dimx         !: 
+    INTEGER(iwp) ::  dimy         !: 
+    INTEGER(iwp) ::  fid          !: 
+    INTEGER(iwp) ::  file_id      !: 
+    INTEGER(iwp) ::  planz        !: 
+
+    LOGICAL ::  checkuf = .TRUE.  !: 
+    LOGICAL ::  datleg = .TRUE.   !: 
+    LOGICAL ::  dbp = .FALSE.     !: 
+
+    REAL(wp) ::  sizex            !: 
+    REAL(wp) ::  sizey            !: 
+    REAL(wp) ::  yright           !: 
+
+    NAMELIST /GLOBAL/  checkuf, datform, dimx, dimy, dbp, planz,               &
                        title
     NAMELIST /RAHMEN/  datleg
@@ -140,10 +130,10 @@
                    yright = ( ny + 1.0 ) * dy
                    IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 't3e' )  THEN
-                      checkuf = .FALSE.; dp = .TRUE.
+                      checkuf = .FALSE.; dbp = .TRUE.
                    ENDIF
                    IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 'nec' )  THEN
                       datform = 'big_endian'
                    ENDIF
-                   OPEN ( 90, FILE='PLOT2D_XY_GLOBAL', FORM='FORMATTED', &
+                   OPEN ( 90, FILE='PLOT2D_XY_GLOBAL', FORM='FORMATTED',       &
                               DELIM='APOSTROPHE' )
                    WRITE ( 90, GLOBAL )
@@ -163,10 +153,10 @@
                    yright = z_max_do2d
                    IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 't3e' )  THEN
-                      checkuf = .FALSE.; dp = .TRUE.
+                      checkuf = .FALSE.; dbp = .TRUE.
                    ENDIF
                    IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 'nec' )  THEN
                       datform = 'big_endian'
                    ENDIF
-                   OPEN ( 90, FILE='PLOT2D_XZ_GLOBAL', FORM='FORMATTED', &
+                   OPEN ( 90, FILE='PLOT2D_XZ_GLOBAL', FORM='FORMATTED',       &
                               DELIM='APOSTROPHE' )
                    WRITE ( 90, GLOBAL )
@@ -186,10 +176,10 @@
                    yright = z_max_do2d
                    IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 't3e' )  THEN
-                      checkuf = .FALSE.; dp = .TRUE.
+                      checkuf = .FALSE.; dbp = .TRUE.
                    ENDIF
                    IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 'nec' )  THEN
                       datform = 'big_endian'
                    ENDIF
-                   OPEN ( 90, FILE='PLOT2D_YZ_GLOBAL', FORM='FORMATTED', &
+                   OPEN ( 90, FILE='PLOT2D_YZ_GLOBAL', FORM='FORMATTED',       &
                               DELIM='APOSTROPHE' )
                    WRITE ( 90, GLOBAL )
@@ -201,9 +191,9 @@
 !--             Write header for FLD-file
                 IF ( do3d_compress )  THEN
-                   WRITE ( 32, 3200)  ' compressed ',                       &
-                                      TRIM( run_description_header ), nx+2, &
+                   WRITE ( 32, 3200)  ' compressed ',                          &
+                                      TRIM( run_description_header ), nx+2,    &
                                       ny+2, nz_do3d+1, do3d_avs_n
                 ELSE
-                   WRITE ( 32, 3200)  ' ', TRIM( run_description_header ), &
+                   WRITE ( 32, 3200)  ' ', TRIM( run_description_header ),     &
                                       nx+2, ny+2, nz_do3d+1, do3d_avs_n
                 ENDIF
@@ -212,5 +202,5 @@
              CASE ( 101 )
 
-                IF ( netcdf_output  .AND.  &
+                IF ( netcdf_output  .AND.                                      &
                      ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
                    nc_stat = NF90_CLOSE( id_set_xy(0) )
@@ -220,5 +210,5 @@
              CASE ( 102 )
 
-                IF ( netcdf_output  .AND.  &
+                IF ( netcdf_output  .AND.                                      &
                      ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
                    nc_stat = NF90_CLOSE( id_set_xz(0) )
@@ -228,5 +218,5 @@
              CASE ( 103 )
 
-                IF ( netcdf_output  .AND.  &
+                IF ( netcdf_output  .AND.                                      &
                      ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
                    nc_stat = NF90_CLOSE( id_set_yz(0) )
@@ -279,5 +269,5 @@
              CASE ( 111 )
 
-                IF ( netcdf_output  .AND.  &
+                IF ( netcdf_output  .AND.                                      &
                      ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
                    nc_stat = NF90_CLOSE( id_set_xy(1) )
@@ -287,5 +277,5 @@
              CASE ( 112 )
 
-                IF ( netcdf_output  .AND.  &
+                IF ( netcdf_output  .AND.                                      &
                      ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
                    nc_stat = NF90_CLOSE( id_set_xz(1) )
@@ -295,5 +285,5 @@
              CASE ( 113 )
 
-                IF ( netcdf_output  .AND.  &
+                IF ( netcdf_output  .AND.                                      &
                      ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
                    nc_stat = NF90_CLOSE( id_set_yz(1) )
@@ -303,5 +293,5 @@
              CASE ( 116 )
 
-                IF ( netcdf_output  .AND.  &
+                IF ( netcdf_output  .AND.                                      &
                      ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
                    nc_stat = NF90_CLOSE( id_set_3d(1) )
@@ -311,5 +301,5 @@
              CASE ( 201:200+2*max_masks )
 	     
-                IF ( netcdf_output  .AND.  &
+                IF ( netcdf_output  .AND.                                      &
                      ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
 !
@@ -340,14 +330,14 @@
 !
 !-- Formats
-3200 FORMAT ('# AVS',A,'field file'/ &
-             '#'/                &
-             '# ',A/             &
-             'ndim=3'/           &
-             'dim1=',I5/         &
-             'dim2=',I5/         &
-             'dim3=',I5/         &
-             'nspace=3'/         &
-             'veclen=',I5/       &
-             'data=xdr_float'/   &
+3200 FORMAT ('# AVS',A,'field file'/                                           &
+             '#'/                                                              &
+             '# ',A/                                                           &
+             'ndim=3'/                                                         &
+             'dim1=',I5/                                                       &
+             'dim2=',I5/                                                       &
+             'dim3=',I5/                                                       &
+             'nspace=3'/                                                       &
+             'veclen=',I5/                                                     &
+             'data=xdr_float'/                                                 &
              'field=rectilinear')
 4000 FORMAT ('time averaged over',F7.1,' s')
Index: /palm/trunk/SOURCE/compute_vpt.f90
===================================================================
--- /palm/trunk/SOURCE/compute_vpt.f90	(revision 1319)
+++ /palm/trunk/SOURCE/compute_vpt.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -32,13 +38,4 @@
 ! Bugfix: wrong factor in calculation of vpt in case of cloud droplets
 !
-! 799 2011-12-21 17:48:03Z franke
-! Bugfix: ql is now included in calculation of vpt in case of 
-!         cloud droplets 
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.5  2001/03/30 06:58:52  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
 ! Revision 1.1  2000/04/13 14:40:53  schroeter
 ! Initial revision
@@ -48,20 +45,29 @@
 ! -------------
 ! Computation of the virtual potential temperature 
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 
-    USE arrays_3d
-    USE indices
-    USE cloud_parameters
-    USE control_parameters
+    USE arrays_3d,                                                             &
+        ONLY:  pt, q, ql, vpt
+        
+    USE indices,                                                               &
+        ONLY:  nzb, nzt
+        
+    USE cloud_parameters,                                                      &
+        ONLY:  l_d_cp, pt_d_t
+        
+    USE control_parameters,                                                    &
+        ONLY:  cloud_droplets, cloud_physics
+        
+    USE kinds
 
     IMPLICIT NONE
 
-    INTEGER :: k
+    INTEGER(iwp) :: k   !: 
 
-    IF ( .NOT. cloud_physics .AND. .NOT. cloud_droplets ) THEN
+    IF ( .NOT. cloud_physics  .AND.  .NOT. cloud_droplets )  THEN
        vpt = pt * ( 1.0 + 0.61 * q )
-    ELSE IF (cloud_physics) THEN
+    ELSE IF (cloud_physics)  THEN
        DO  k = nzb, nzt+1
-          vpt(k,:,:) = ( pt(k,:,:) + pt_d_t(k) * l_d_cp * ql(k,:,:) ) * &
+          vpt(k,:,:) = ( pt(k,:,:) + pt_d_t(k) * l_d_cp * ql(k,:,:) ) *        &
                        ( 1.0 + 0.61 * q(k,:,:) - 1.61 * ql(k,:,:) ) 
        ENDDO
Index: /palm/trunk/SOURCE/coriolis.f90
===================================================================
--- /palm/trunk/SOURCE/coriolis.f90	(revision 1319)
+++ /palm/trunk/SOURCE/coriolis.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -38,19 +44,4 @@
 ! 1015 2012-09-27 09:23:24Z raasch
 ! accelerator version (*_acc) added
-!
-! 254 2009-03-05 15:33:42Z heinze
-! Output of messages replaced by message handling routine.
-!
-! 106 2007-08-16 14:30:26Z raasch
-! loops for u and v are starting from index nxlu, nysv, respectively (needed
-! for non-cyclic boundary conditions)
-!
-! 75 2007-03-22 09:54:05Z raasch
-! uxrp, vynp eliminated
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.12  2006/02/23 10:08:57  raasch
-! nzb_2d replaced by nzb_u/v/w_inner
 !
 ! Revision 1.1  1997/08/29 08:57:38  raasch
@@ -83,12 +74,22 @@
     SUBROUTINE coriolis( component )
 
-       USE arrays_3d
-       USE control_parameters
-       USE indices
-       USE pegrid
+       USE arrays_3d,                                                          &
+           ONLY:  tend, u, ug, v, vg, w 
+           
+       USE control_parameters,                                                 &
+           ONLY:  f, fs, message_string
+           
+       USE indices,                                                            &
+           ONLY:  nxl, nxlu, nxr, nyn, nys, nysv, nzb_u_inner, nzb_v_inner,    &
+                  nzb_w_inner, nzt
+                   
+       USE kinds
 
        IMPLICIT NONE
 
-       INTEGER ::  component, i, j, k
+       INTEGER(iwp) ::  component  !: 
+       INTEGER(iwp) ::  i          !: 
+       INTEGER(iwp) ::  j          !: 
+       INTEGER(iwp) ::  k          !: 
 
 
@@ -103,9 +104,9 @@
                 DO  j = nys, nyn
                    DO  k = nzb_u_inner(j,i)+1, nzt
-                      tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25 *            &
-                                   ( v(k,j,i-1) + v(k,j,i) + v(k,j+1,i-1) +   &
-                                     v(k,j+1,i) ) - vg(k) )                   &
-                                             - fs *    ( 0.25 *               &
-                                   ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) + &
+                      tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25 *             &
+                                   ( v(k,j,i-1) + v(k,j,i) + v(k,j+1,i-1) +    &
+                                     v(k,j+1,i) ) - vg(k) )                    &
+                                             - fs *    ( 0.25 *                &
+                                   ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) +  &
                                      w(k,j,i)   ) &
                                                           )
@@ -120,6 +121,6 @@
                 DO  j = nysv, nyn
                    DO  k = nzb_v_inner(j,i)+1, nzt
-                      tend(k,j,i) = tend(k,j,i) - f *     ( 0.25 *          &
-                                   ( u(k,j-1,i) + u(k,j,i) + u(k,j-1,i+1) + &
+                      tend(k,j,i) = tend(k,j,i) - f *     ( 0.25 *             &
+                                   ( u(k,j-1,i) + u(k,j,i) + u(k,j-1,i+1) +    &
                                      u(k,j,i+1) ) - ug(k) )
                    ENDDO
@@ -133,6 +134,6 @@
                 DO  j = nys, nyn
                    DO  k = nzb_w_inner(j,i)+1, nzt
-                      tend(k,j,i) = tend(k,j,i) + fs * 0.25 *             &
-                                   ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) + &
+                      tend(k,j,i) = tend(k,j,i) + fs * 0.25 *                  &
+                                   ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) +      &
                                      u(k+1,j,i+1) )
                    ENDDO
@@ -155,12 +156,22 @@
     SUBROUTINE coriolis_acc( component )
 
-       USE arrays_3d
-       USE control_parameters
-       USE indices
-       USE pegrid
+       USE arrays_3d,                                                          &
+           ONLY:  tend, u, ug, v, vg, w 
+           
+       USE control_parameters,                                                 &
+           ONLY:  f, fs, message_string
+           
+       USE indices,                                                            &
+           ONLY:  i_left, i_right, j_north, j_south, nzb_u_inner,              &
+                  nzb_v_inner, nzb_w_inner, nzt
+                   
+       USE kinds
 
        IMPLICIT NONE
 
-       INTEGER ::  component, i, j, k
+       INTEGER(iwp) ::  component  !: 
+       INTEGER(iwp) ::  i          !:
+       INTEGER(iwp) ::  j          !: 
+       INTEGER(iwp) ::  k          !:
 
 
@@ -215,6 +226,6 @@
                    DO  k = 1, nzt
                       IF  ( k > nzb_w_inner(j,i) )  THEN
-                         tend(k,j,i) = tend(k,j,i) + fs * 0.25 *             &
-                                      ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) + &
+                         tend(k,j,i) = tend(k,j,i) + fs * 0.25 *               &
+                                      ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) +   &
                                         u(k+1,j,i+1) )
                       ENDIF
@@ -239,12 +250,21 @@
     SUBROUTINE coriolis_ij( i, j, component )
 
-       USE arrays_3d
-       USE control_parameters
-       USE indices
-       USE pegrid
-
+       USE arrays_3d,                                                          &
+           ONLY:  tend, u, ug, v, vg, w 
+           
+       USE control_parameters,                                                 &
+           ONLY:  f, fs, message_string
+           
+       USE indices,                                                            &
+           ONLY:  nzb_u_inner, nzb_v_inner, nzb_w_inner, nzt
+           
+       USE kinds
+       
        IMPLICIT NONE
 
-       INTEGER ::  component, i, j, k
+       INTEGER(iwp) ::  component  !: 
+       INTEGER(iwp) ::  i          !:
+       INTEGER(iwp) ::  j          !: 
+       INTEGER(iwp) ::  k          !:
 
 !
@@ -256,11 +276,10 @@
           CASE ( 1 )
              DO  k = nzb_u_inner(j,i)+1, nzt
-                tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25 *               &
-                                ( v(k,j,i-1) + v(k,j,i) + v(k,j+1,i-1) +   &
-                                  v(k,j+1,i) ) - vg(k) )                   &
-                                          - fs *    ( 0.25 *               &
-                                ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) + &
-                                  w(k,j,i)   ) &
-                                                    )
+                tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25 *                   &
+                                ( v(k,j,i-1) + v(k,j,i) + v(k,j+1,i-1) +       &
+                                  v(k,j+1,i) ) - vg(k) )                       &
+                                          - fs *    ( 0.25 *                   &
+                                ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) +     &
+                                  w(k,j,i)   ) )
              ENDDO
 
@@ -269,6 +288,6 @@
           CASE ( 2 )
              DO  k = nzb_v_inner(j,i)+1, nzt
-                tend(k,j,i) = tend(k,j,i) - f *     ( 0.25 *             &
-                                ( u(k,j-1,i) + u(k,j,i) + u(k,j-1,i+1) + &
+                tend(k,j,i) = tend(k,j,i) - f *     ( 0.25 *                   &
+                                ( u(k,j-1,i) + u(k,j,i) + u(k,j-1,i+1) +       &
                                   u(k,j,i+1) ) - ug(k) )
              ENDDO
@@ -278,6 +297,6 @@
           CASE ( 3 )
              DO  k = nzb_w_inner(j,i)+1, nzt
-                tend(k,j,i) = tend(k,j,i) + fs * 0.25 * &
-                                ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) + &
+                tend(k,j,i) = tend(k,j,i) + fs * 0.25 *                        &
+                                ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) +         &
                                   u(k+1,j,i+1) )
              ENDDO
